请选择 进入手机版 | 继续访问电脑版
 找回密码
 立即注册

QQ登录

只需一步,快速开始

roger.wang
社区贡献组   /  发表于:2014-5-16 12:03  /   查看:4902  /  回复:2
问题描述:在运行时调用Spread 设计器,定制Spread 模板。
问题解答:FpSpreadDesigner控件提供ShowDialog,用于调用设计器。
关键代码:

  1. this.fpSpreadDesigner1.ShowDialog(this.fpSpread1);
复制代码


效果截图:


示例下载:点击下载

本帖子中包含更多资源

您需要 登录 才可以下载或查看,没有帐号?立即注册

x

2 个回复

倒序浏览
JSM
注册会员   /  发表于:2015-3-25 09:15:00
沙发
我用相同的代码,报强制转换异常[A]FarPoint.Win.Spread.FpSpread无法强制转换为[B]FarPoint.Win.Spread.FpSpread.类型A源自“FarPoint.Win.Spread.FpSpread,Version=8.35.20143.0...........类型B 源自FarPoint.Win.Spread.FpSpread,Version=8.20.20143.0,
看起来是版本造成的,但是我引用dll的时候,都是8.35的,不解
回复 使用道具 举报
iceman
社区贡献组   /  发表于:2015-3-25 16:22:00
板凳
回复 2楼JSM的帖子

由于这个工程是 Framework 2.0 的,所以需要添加 Spread 控件 2.0 的dll。或者升级程序的 framework 版本。
回复 使用道具 举报
您需要登录后才可以回帖 登录 | 立即注册